ALTER TABLE orders
    ADD COLUMN IF NOT EXISTS gdpr_removal TIMESTAMP WITH TIME ZONE;

UPDATE orders
    SET gdpr_removal = NOW()::timestamp
    WHERE id IN (SELECT id FROM orders WHERE LOWER(comment::TEXT) LIKE '%gdpr%');